package weblogic.deploy.service.internal;

import java.io.*;
import java.util.*;

public final class DomainVersion implements Externalizable {

    public DomainVersion() {
      deploymentsVersionMap=Collections.synchronizedMap(new HashMap());
    }

    public DomainVersion(Map givenVersionMap) {
     this();
     deploymentsVersionMap.putAll(givenVersionMap);
    }

    public final Map getDeploymentsVersionMap() {
      return deploymentsVersionMap;
    }

    public void writeExternal(ObjectOutput out) throws IOException {
      out.writeObject(deploymentsVersionMap);
    }

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException {
      deploymentsVersionMap.putAll((Map)in.readObject());
    }

    private static final long serialVersionUID = 0x782f27a2d5843035L;
    public Map deploymentsVersionMap;
}
